Oracle Linux 5 / 6 : Unbreakable Enterprise kernel (ELSA-2015-3034)

Medium Nessus Plugin ID 83047

Synopsis

The remote Oracle Linux host is missing one or more security updates.

Description

Description of changes:

kernel-uek [2.6.32-400.37.4.el6uek]
- isofs: Fix unchecked printing of ER records (Jan Kara) [Orabug: 20930553] {CVE-2014-9584}
- selinux: Permit bounded transitions under NO_NEW_PRIVS or NOSUID. (Stephen Smalley) [Orabug: 20930502] {CVE-2014-3215}
- Add PR_{GET,SET}_NO_NEW_PRIVS to prevent execve from granting privs (Andy Lutomirski) [Orabug: 20930519] {CVE-2014-3215}

Solution

Update the affected unbreakable enterprise kernel packages.

See Also

https://oss.oracle.com/pipermail/el-errata/2015-April/005020.html

https://oss.oracle.com/pipermail/el-errata/2015-April/005021.html

Plugin Details

Severity: Medium

ID: 83047

File Name: oraclelinux_ELSA-2015-3034.nasl

Version: 2.8

Type: local

Agent: unix

Published: 2015/04/24

Updated: 2019/04/01

Dependencies: 12634, 122878

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:kernel-uek, p-cpe:/a:oracle:linux:kernel-uek-debug, p-cpe:/a:oracle:linux:kernel-uek-debug-devel, p-cpe:/a:oracle:linux:kernel-uek-devel, p-cpe:/a:oracle:linux:kernel-uek-doc, p-cpe:/a:oracle:linux:kernel-uek-firmware, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.4.el5uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.4.el5uekdebug, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.4.el6uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.4.el6uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.4.el5uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.4.el5uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.4.el6uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.4.el6uekdebug, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2015/04/23

Vulnerability Publication Date: 2014/05/08

Reference Information

CVE: CVE-2014-3215, CVE-2014-9584